View Issue Details

IDProjectCategoryView StatusLast Update
0002301Ham Radio DeluxeEnhancementpublic2018-06-13 19:41
ReporterKC7FPF 
Assigned ToARMAN 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.843 
Summary0002301: QSL label print - automatic set "QSL sent" to YES
DescriptionWhen I print a QSL label for a paper QSL card, it would be very convenient to set the flag "QSL sent" in the record automatically to "YES" with default "Bureau", which is the most used.

I could not find a way to configure that; is that option present?
If yes, how can I configure that?
If no, can this be put on a wish list of features?
TagsNo tags attached.
ModuleLogbook
Sub-ModuleLabel
Testing Not Tested

Relationships

Activities

g3ucq

2018-05-12 14:11

viewer   ~0005023

The "QSL sent" flag was not set to "yes" either in printing Labels or a QSL card.
Is this supposed to be fixed as it is not for me?

vk2byi

2018-05-12 20:45

viewer   ~0005028

I printed both a label and a card for a contact, but the QSL Sent and Bureau values were not set for me as well. Doesn't appear to be implemented/fixed.

K7ZCZ

2018-05-13 11:01

manager   ~0005031

This isn't fixed.

1) Probably shouldn't unconditionally set the flag to "bureau"; I don't think it's the most common for all users.

2) Against a MySQL database, printing a QSL card results in this error:

---------------------------
HRD Logbook
---------------------------
Unknown column 'Y' in 'field list'

---------------------------
OK   
---------------------------

K7ZCZ

2018-05-13 13:28

manager   ~0005032

Arman made this checkin: https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4117

which has a couple problems, described above. We'd like to ship this weekend, so I've reverted the changes with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4118

With a little design work and a couple of fixes, we can create a proper resolution for this issue.

WA9PIE

2018-06-13 19:40

administrator   ~0005259

Beta failed. Code modified. Not retested.

Issue History

Date Modified Username Field Change
2017-12-29 13:55 KC7FPF New Issue
2018-03-04 00:49 WA9PIE Status new => assigned
2018-03-04 00:49 WA9PIE Assigned To => ARMAN
2018-03-04 00:49 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-03-04 00:52 WA9PIE Testing => Not Started
2018-05-11 14:10 ARMAN Status assigned => resolved
2018-05-11 14:10 ARMAN Resolution open => fixed
2018-05-11 14:10 ARMAN Fixed in Version => 6.4.0.839
2018-05-12 14:11 g3ucq Note Added: 0005023
2018-05-12 20:45 vk2byi Note Added: 0005028
2018-05-12 23:48 WA9PIE Testing Not Started => Beta Failed
2018-05-12 23:49 WA9PIE Status resolved => feedback
2018-05-12 23:49 WA9PIE Resolution fixed => reopened
2018-05-12 23:49 WA9PIE Fixed in Version 6.4.0.839 =>
2018-05-13 11:01 K7ZCZ Note Added: 0005031
2018-05-13 13:28 K7ZCZ Status feedback => assigned
2018-05-13 13:28 K7ZCZ Note Added: 0005032
2018-06-13 19:40 WA9PIE Status assigned => closed
2018-06-13 19:40 WA9PIE Resolution reopened => fixed
2018-06-13 19:40 WA9PIE Fixed in Version => 6.4.0.843
2018-06-13 19:40 WA9PIE Testing Beta Failed => Not Tested
2018-06-13 19:40 WA9PIE Note Added: 0005259
2018-06-13 19:41 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe